#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float u_level;

void main(void) {
  vec4 tex = texture2D(CC_Texture0, v_texCoord);

  if(tex.a <= 0.01)
  {
    gl_FragColor = tex;
  }
  else
  {
    gl_FragColor = tex + vec4(u_level, u_level, u_level, 0);
  }
}
